Package org.apache.jmeter.rmi

# Class SSLRMIClientSocketFactory

java.lang.Object
org.apache.jmeter.rmi.SSLRMIClientSocketFactory

All Implemented Interfaces:
  `Serializable`, `RMIClientSocketFactory`

public class SSLRMIClientSocketFactory extends Object implements RMIClientSocketFactory, Serializable
Implementation of `RMIClientSocketFactory` that:

- Establishes SSL connection

Since:
  4.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSLRMIClientSocketFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Socket`
  `createSocket(String host, int port)`
  `void`
  `setAlias(String alias)`
  `void`
  `setKeystore(String location, String type, String password)`
  `void`
  `setTruststore(String location, String type, String password)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SSLRMIClientSocketFactory

    public SSLRMIClientSocketFactory()

- ## Method Details

  - ### setAlias

    public void setAlias(String alias)

  - ### setKeystore

    public void setKeystore(String location, String type, String password)

  - ### setTruststore

    public void setTruststore(String location, String type, String password)

  - ### createSocket

    public Socket createSocket(String host, int port) throws IOException
    Specified by:
      `createSocket` in interface `RMIClientSocketFactory`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`